import { Construct } from 'constructs';
import { ICertificate } from 'aws-cdk-lib/aws-certificatemanager';
export interface Domain {
    readonly domainName: string;
    readonly hostedZoneArn?: string;
    readonly account?: string;
    readonly roleArn?: string;
    readonly includeParent?: boolean;
}
export interface WildcardCertificateProps {
    readonly domains: Domain[];
}
export declare class WildcardCertificate extends Construct {
    certificate: ICertificate;
    constructor(scope: Construct, id: string, props: WildcardCertificateProps);
    private addRolesToLambda;
    private resolveDomainMappings;
}
